Bug 1443377 (CVE-2017-3462)

Summary: CVE-2017-3462 mysql: Server: Security: Privileges unspecified vulnerability (CPU Apr 2017)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aortega, apevec, apmukher, chrisw, cvsbot-xmlrpc, databases-maint, dciabrin, hhorak, jjoyce, jorton, jschluet, jshepherd, jstanek, kbasil, lhh, lpeer, markmc, mbayer, mburns, mkocka, mmuzila, mschorm, praiskup, rbryant, sclewis, slinaber, srevivo, tdecacqu, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20170419,reported=20170419,source=internet,cvss3=4.9/CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H,rhel-5/mysql55-mysql=wontfix,rhel-6/mysql=wontfix,rhel-7/mariadb=notaffected,rhscl-2/rh-mysql56-mysql=affected,rhscl-2/rh-mysql57-mysql=affected,rhscl-2/rh-mariadb100-mariadb=notaffected,rhscl-2/rh-mariadb101-mariadb=notaffected,openstack-5/mariadb-galera=notaffected,openstack-6/mariadb-galera=notaffected,openstack-7/mariadb-galera=notaffected,openstack-8/mariadb-galera=notaffected,openstack-9/mariadb-galera=notaffected,openstack-10/mariadb-galera=notaffected,openstack-11/mariadb-galera=notaffected,fedora-all/community-mysql=affected,fedora-all/mariadb=notaffected,openstack-12/mariadb-galera=notaffected
Fixed In Version: mysql 5.5.55, mysql 5.6.36, mysql 5.7.18 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-12 09:14:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1443407, 1445524, 1445525, 1445527, 1445528    
Bug Blocks: 1443389    

Description Adam Mariš 2017-04-19 07:28:44 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Security: Privileges). Supported versions that are affected are 5.5.54 and earlier, 5.6.35 and earlier and 5.7.17 and earlier. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 

External References:

http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html#AppendixMSQL

Comment 1 Adam Mariš 2017-04-19 08:15:09 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1443408]

Comment 2 Adam Mariš 2017-04-19 08:15:22 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1443407]

Comment 4 errata-xmlrpc 2017-09-21 07:49:27 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2787 https://access.redhat.com/errata/RHSA-2017:2787

Comment 5 errata-xmlrpc 2017-10-12 08:02:27 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2886 https://access.redhat.com/errata/RHSA-2017:2886